// Copyright (c) 2015, JINGROW and Contributors
// MIT License. See license.txt

if (!jingrow.listview_settings) {
	jingrow.listview_settings = {};
}

jingrow.listview_settings["User"] = {
	add_fields: ["enabled", "user_type", "user_image"],
	filters: [["enabled", "=", 1]],
	prepare_data: function (data) {
		data["user_for_avatar"] = data["name"];
	},
	get_indicator: function (pg) {
		if (pg.enabled) {
			return [__("Active"), "green", "enabled,=,1"];
		} else {
			return [__("Disabled"), "grey", "enabled,=,0"];
		}
	},
};

if (!jingrow.help.youtube_id) {
	jingrow.help.youtube_id = {};
}

jingrow.help.youtube_id["User"] = "8Slw1hsTmUI";
